Skip to main content
GET
/
v1
/
deliverables
/
{deliverable_id}
// GET https://api.signatureapi.com/v1/deliverables/{deliverable_id}
// X-API-Key: key_test_...
// HTTP Status Code 200

{
  "id": "del_LXRDwyTeJDVrWXmjwxsAGPq",
  "name": null,
  "envelope_id": "4ec99c57-4430-4d73-8afd-912dcf4b5880",
  "type": "standard",
  "status": "generated",
  "url": "https://vault.signatureapi.com/envelopes/4ec99c57-4430-4d73-8afd-912dcf4b5880/deliverables/del_LXRDwyTeJDVrWXmjwxsAGPq...",
  "language": "en",
  "timezone": "America/New_York",
  "timestamp_format": "MM/DD/YYYY HH:mm:ss",
  "included_documents": ["contract", "addendum"],
  "password": null,
  "created_at": "2024-01-01T00:00:00Z",
  "generated_at": "2024-01-01T00:01:00Z"
}
Retrieves the details of a deliverable, including its current status and download URL. When the deliverable status is generated, the response includes a url property with a download link. By default, this is a pre-signed URL that expires after 1 hour. Call this endpoint again to get a fresh URL if the previous one has expired.

Path Parameters

deliverable_id
string
required
The unique identifier for this deliverable.

Returns

Returns a 200 OK status code along with a deliverable object if successful, or an error otherwise.
// GET https://api.signatureapi.com/v1/deliverables/{deliverable_id}
// X-API-Key: key_test_...
// HTTP Status Code 200

{
  "id": "del_LXRDwyTeJDVrWXmjwxsAGPq",
  "name": null,
  "envelope_id": "4ec99c57-4430-4d73-8afd-912dcf4b5880",
  "type": "standard",
  "status": "generated",
  "url": "https://vault.signatureapi.com/envelopes/4ec99c57-4430-4d73-8afd-912dcf4b5880/deliverables/del_LXRDwyTeJDVrWXmjwxsAGPq...",
  "language": "en",
  "timezone": "America/New_York",
  "timestamp_format": "MM/DD/YYYY HH:mm:ss",
  "included_documents": ["contract", "addendum"],
  "password": null,
  "created_at": "2024-01-01T00:00:00Z",
  "generated_at": "2024-01-01T00:01:00Z"
}